---@meta

---@class UWG_MainMenu_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WG_VersionLabel UWG_VersionLabel_C
---@field WG_ShaderCompilation UWG_ShaderCompilation_C
---@field rv_loga_image_1 UImage
---@field rv_loga_image UImage
---@field QuitButton UWG_MenuButton_C
---@field OptionsButton UWG_MenuButton_C
---@field NewGameButton UWG_MenuButton_C
---@field LogoHolder UBorder
---@field JoinButton UWG_MenuButton_C
---@field Image_373 UImage
---@field Image UImage
---@field DiscordButton UWG_DiscordButton_C
---@field ContinueButton UWG_MenuButton_C
---@field FadeOut UWidgetAnimation
---@field First boolean
local UWG_MainMenu_C = {}

---@return boolean
function UWG_MainMenu_C:BP_OnHandleBackAction() end
---@return FUIInputConfig
function UWG_MainMenu_C:BP_GetDesiredInputConfig() end
function UWG_MainMenu_C:Finished_05B7819E4D74C6B8BE3881A3BE9F0D36() end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_QuitButton_K2Node_ComponentBoundEvent_2_CommonButtonBaseClicked__DelegateSignature(Button) end
function UWG_MainMenu_C:OnApplyPressed() end
function UWG_MainMenu_C:OnAccept() end
---@param Widget UCommonActivatableWidget
function UWG_MainMenu_C:CustomEvent(Widget) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_OptionsButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_JoinButton_K2Node_ComponentBoundEvent_4_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_ContinueButton_K2Node_ComponentBoundEvent_3_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Widget UCommonActivatableWidget
function UWG_MainMenu_C:NewGame(Widget) end
---@param Widget UCommonActivatableWidget
function UWG_MainMenu_C:Continue(Widget) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_QuitButton_K2Node_ComponentBoundEvent_1_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_OptionsButton_K2Node_ComponentBoundEvent_6_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_NewGameButton_K2Node_ComponentBoundEvent_7_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_JoinButton_K2Node_ComponentBoundEvent_8_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_ContinueButton_K2Node_ComponentBoundEvent_9_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_PlayButton_K2Node_ComponentBoundEvent_1_CommonButtonBaseClicked__DelegateSignature(Button) end
function UWG_MainMenu_C:ShaderCompilationDone() end
function UWG_MainMenu_C:SetupOnlineDelegates() end
---@param bWasSuccess boolean
---@param ControllerId int32
function UWG_MainMenu_C:OnInviteAccepted(bWasSuccess, ControllerId) end
---@param SessionName FName
---@param Result ERGOnJoinSessionCompleteResult
function UWG_MainMenu_C:OnJoinSession(SessionName, Result) end
---@param Widget UCommonActivatableWidget
function UWG_MainMenu_C:FailedToJoinInvite(Widget) end
function UWG_MainMenu_C:OnFailedToJoinInviteAccepted() end
---@param Widget UCommonActivatableWidget
function UWG_MainMenu_C:JoinedInvitePopupInit(Widget) end
function UWG_MainMenu_C:BP_OnActivated() end
---@param Widget UCommonActivatableWidget
function UWG_MainMenu_C:CustomEvent_0(Widget) end
function UWG_MainMenu_C:CustomEvent_1() end
---@param Button UCommonButtonBase
function UWG_MainMenu_C:BndEvt__WG_MainMenu_WG_ImageButton_K2Node_ComponentBoundEvent_11_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Widget UCommonActivatableWidget
function UWG_MainMenu_C:InitErrorPopup(Widget) end
function UWG_MainMenu_C:ErrorPopupDismissed() end
---@param EntryPoint int32
function UWG_MainMenu_C:ExecuteUbergraph_WG_MainMenu(EntryPoint) end


